## fontforge 20190801~dfsg

=== pycontrib/svg2glyph/Makefile ===
all:
	./svg2glyph -e 1024 -a 819 -o SFDir SVG/*.svg

=== debian/changelog ===
fontforge (1:20190801~dfsg-5ubuntu1) groovy; urgency=medium

  * fix endianness parsing issues in Python bindings (Closes: #961841)
    - debian/patches/fde85b13382595cb3ab889e38570b4944edad808.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 11 Jun 2020 17:50:29 +0200
 

fontforge (1:20190801~dfsg-5) unstable; urgency=medium

  * build-depend on debhelper-compat (not debhelper)
  * simplify rules;
    build-depend on dh-sequence-python3 (not cdbs dh-buildinfo dh-python)
  * stop build-depend on autotools-dev dh-autoreconf
    (superfluous, handled by autoreconf)
  * stop fix executable bit of python libraries
    (handled by dh_python3 now, apparently)
  * check testsuite during build
  * copyright: fix update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2020 20:02:39 +0200

fontforge (1:20190801~dfsg-4) unstable; urgency=high

  * Team upload.
  * debian/control: Set maintainer email to new mailing list.
  * debian/control.in: Also reflect some changes in the .in file.
  * debian/rules: Fix broken dev-dep list for cdbs.
  * debian/copyright:
    + Properly set Upstream-Name and Upstream-Contact.
    + Update license information for AppStream metadata file.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Mar 2020 22:10:07 -0500

fontforge (1:20190801~dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    + Force python3; link with embedded python3 libs in python3.8.
      (Closes: #949822, #953079)
    + Fix FTCBFS: Let dpkg buildtools.mk set up CC. (Closes: #901174)
    + Add override of libpython3.8-dev for d-shlibmove to circumvent
      build error for now.
  * debian/control:
    + Build-dep on python3-dev instead of python3-all-dev. (Closes: #948016)
    + Bump Standards-Version to 4.5.0.
  * debian/patches: Cherry-pick upstream PR 3922 to fix non-GUI usage.
    (Closes: #952408)

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Mar 2020 12:52:24 -0500

fontforge (1:20190801~dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 10.
  * Remove patches missing from debian/patches/series.
  * Set upstream metadata fields: Repository.
  * Fix field name typos in debian/copyright.
  * Fix day-of-week for changelog entries 0.0.20020312-1.

  [ Hideki Yamane ]
  * Note some bug numbers are closed in previous changelog.

 -- Hideki Yamane <henrich@debian.org>  Wed, 13 Nov 2019 21:20:21 +0900

fontforge (1:20190801~dfsg-1) experimental; urgency=medium

  * New upstream version 20190801~dfsg (Closes: #603067, #866690, #912062,
    #895105, #927640, #774274)
  * debian/control{,.in}
    - remove Christian Perrier <bubulle@debian.org> from Uploaders
      (Closes: #894873, #927590)
    - add Rules-Requires-Root: no
    - bump up libfontforge3 from 2
    - migrate to python3 (Closes: #936538)
    - set Multi-Arch: foreign for -common,doc
    - drop gnulib (Closes: #840782)
    - bump up d-shlibs since it supports libpython3 >= 0.88
    - use libfreetype-dev, instead of libfreetype6-dev
    - split to -extras package
    - add potrace to detect it
    - move libgdraw5 to libgdraw6
    - python3-fontforge: add Recommends since some scripts has a dependency
    - remove unnecessary Priority field
  * debian/libpython3.symbols
    - update symbols list
  * debian/rules
    - remove specifying disappear library
    - bump up libfontforge3 from 2
    - not dh_python2, but 3
    - specify --enable-python-scripting and --enable-python-extension
    - just run autoreconf, not debian/autogen.sh and drop gnulib
    - bump up d-shlibs since it supports libpython3 >= 0.88
    - add --enable-tile-path
    - add --enable-debug-raw-points
    - enable gtk UI
    - drop obsolete options
    - add --enable-fontforge-extras
    - enable woff2 (however, it is not used yet...)
    - once disable --with-freetype-source since no package provides those files
  * debian/patches
    - drop unused patches
    - drop unnecessary 2001_repackaging_fixup.patch
    - refresh 2002_avoid_upstream_git_or_pkg.patch
    - add 0003-ignore-osx-files.patch
    - add 0004-fix-wrong-xml-tag.patch
  * debian/copyright
    - update exclude files list
    - use https
    - update copyright year
  * debian/fontforge.install
    - install appdata file (Closes: #857589)
    - add metainfo xml file, too
  * drop debian/autogen.sh, it seems that we don't need gnulib anymore
  * debian/*.manpages
    - fix wrong directory, and specify debian/tmp/x as cdbs workaround
  * drop unused lintian-overrides

 -- Hideki Yamane <henrich@debian.org>  Tue, 05 Nov 2019 22:38:57 +0900

fontforge (1:20170731~dfsg-2) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/control.in
    - drop Suggests: autotrace since it is not in repository anymore
    - drop Conflicts: defoma since it is not in repository anymore
    - drop fontforge-dbg
  * debian/rules
    - set --dbgsym-migration=fontforge-dbg
  * add debian/salsa-ci.yml

  [ Vasudev Kamath ]
  * debian/control:
    - Use Salsa URL for Vcs-* fields.
    - Mark package compliance with Debian policy 4.1.3.
  * debian/rules:
    - Install pkg-config files under multi-arch specific directory.

 -- Hideki Yamane <henrich@debian.org>  Tue, 24 Sep 2019 22:58:14 +0900

=== debian/control ===
Source: fontforge
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Davide Viti <zinosat@tiscali.it>,
 Hideki Yamane <henrich@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
 Rogério Brito <rbrito@ime.usp.br>,
 Vasudev Kamath <vasudev@copyninja.info>
XS-Python-Version: all
Build-Depends: cdbs,
 debhelper-compat (= 10),
 dh-sequence-python3,
 libltdl-dev,
 autoconf-archive,
 chrpath,
 shared-mime-info,
 desktop-file-utils,
 libreadline-dev,
 libcairo2-dev,
 libfreetype-dev,
 libgif-dev,
 libjpeg-dev,
 libpango1.0-dev,
 libpng-dev,
 libspiro-dev,
 libtiff5-dev,
 libuninameslist-dev,
 libxml2-dev,
 libxt-dev,
 libglib2.0-dev,
 python3,
 python3-dev,
 uthash-dev,
 d-shlibs (>= 0.88~),
 potrace,
 libwoff-dev,
 libgtk-3-dev,
 pkg-kde-tools
Standards-Version: 4.5.0
Homepage: https://fontforge.github.io/en-US/
Vcs-Git: https://salsa.debian.org/fonts-team/fontforge.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontforge
Rules-Requires-Root: no

Package: fontforge
Architecture: any
Multi-Arch: foreign
Depends:
 fontforge-common (= ${source:Version}),
 libfontforge3 (= ${binary:Version}),
 libgdraw6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 fontforge-nox
Suggests:
 fontforge-doc,
 fontforge-extras,
 potrace,
 python3-fontforge,
Description: font editor
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package also provides these programs and utilities:
  fontimage - produce a font thumbnail image;
  fontlint  - checks the font for certain common errors;
  sfddiff   - compare two font files.

Package: fontforge-nox
Architecture: any
Multi-Arch: foreign
Depends:
 fontforge-common (= ${source:Version}),
 libfontforge3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 fontforge
Description: font editor - non-X version
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package also provides these programs and utilities:
  fontimage - produce a font thumbnail image;
  fontlint  - checks the font for certain common errors;
  sfddiff   - compare two font files.
 .
 This package contains a version of FontForge compiled with support for
 scripting but no GUI, and not require the graphics library.

Package: fontforge-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Breaks:
 fontforge (<< 1:20160404~dfsg-3),
 fontforge-nox (<< 1:20160404~dfsg-3)
Recommends:
 fonts-cantarell,
 fonts-inconsolata
Description: font editor (common files)
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains common arch-independent files.

Package: libfontforge-dev
Section: libdevel
Architecture: any
Depends:
 libfontforge3 (= ${binary:Version}),
 libgdraw6 (= ${binary:Version}),
 ${misc:Depends},
 ${devlibs:Depends}
Description: font editor - runtime library (development files)
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains the runtime library's development files.

Package: libfontforge3
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libfontforge2
Replaces:
 libfontforge2
Description: font editor - runtime library
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains the runtime library.

Package: libgdraw6
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libgdraw5
Replaces:
 libgdraw5
Description: font editor - runtime graphics and widget library
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains the graphics and widget runtime library.

Package: python3-fontforge
Architecture: any
Depends:
 libfontforge3 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends: 
 fontforge-nox | fontforge,
Breaks:
 python-fontforge
Replaces:
 python-fontforge
Section: python
Description: font editor - Python bindings
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package provides the Python modules (the libraries fontforge and
 psMat) to access a FontForge program for font manipulations.

Package: fontforge-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: documentation for fontforge
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains the documentation for fontforge.

Package: fontforge-extras
Architecture: any
Multi-Arch: foreign
Depends:
 fontforge-common (= ${source:Version}),
 libfontforge3 (= ${binary:Version}),
 libgdraw6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: font editor - extra programs
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package also provides these programs and utilities:
  acorn2sfd
  dewoff
  gwoff
  gfindtable
  gpcl2ttf
  gpfadecrypt
  grmligamarks
  gshowttf
  gstripttc
  gttf2eps

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

stem = fontforge
major = 3
lib = lib$(stem)

export CONFIG_SHELL=/bin/bash
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# For cross-friendly CC variable
-include /usr/share/dpkg/buildtools.mk

# avoid libtool files in python3-fontforge or fonts in fontforge-common
export DH_OPTIONS = -X.la -X.ttf

# build with X11 into subdir, to ensure non-X11 build is not missed
export DH_OPTIONS += -O--builddirectory=build/x

DEB_CONFIGURE_EXTRA_FLAGS = \
 --prefix=/usr \
 --libdir=\$${prefix}/lib \
 --mandir=\$${prefix}/share/man \
 --enable-tile-path \
 --enable-debug-raw-points \
 --enable-fontforge-extras \
 --enable-python-scripting=3 \
 --enable-python-extension PYTHON_LIBS='$(shell python3-config --ldflags --embed)'

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build/nox -- \
		$(DEB_CONFIGURE_EXTRA_FLAGS) --without-x
	dh_auto_configure -- \
		$(DEB_CONFIGURE_EXTRA_FLAGS) --enable-gdk

override_dh_auto_build:
	dh_auto_build --builddirectory=build/nox
	dh_auto_build

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- FETCHED_INPUTS=
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=build/nox --destdir=debian/tmp/nox
	dh_auto_install --destdir=debian/tmp/x

override_dh_install:
	dh_install --package=fontforge-nox --sourcedir=debian/tmp/nox
	dh_install --no-package=fontforge-nox --sourcedir=debian/tmp/x
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--extralib debian/tmp/x/usr/lib/libgunicode.so \
		--extralib debian/tmp/x/usr/lib/libgutils.so \
		--movedev "debian/tmp/x/usr/include/*" usr/include/ \
		--movedev "debian/tmp/x/usr/lib/pkgconfig/*.pc" usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig \
		--override s/$(lib)$(major)-dev/$(lib)-dev/ \
		--override s/libpython3.8-1.0-dev/libpython3.8-dev/ \
		debian/tmp/x/usr/lib/$(lib).so

override_dh_installdocs:
	dh_installdocs --all -- README AUTHORS

override_dh_strip:
	dh_strip --dbgsym-migration='fontforge-dbg (<< 1:20170731~dfsg-2~)'

# track symbols using pkgkde-symbolshelper
%:
	dh $@ --with pkgkde_symbolshelper
